Bug 1122565 - dispatcher does not work, does not execute hooks
Summary: dispatcher does not work, does not execute hooks
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 14:11 UTC by lejeczek
Modified: 2014-07-28 08:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 08:03:21 UTC


Attachments (Terms of Use)

Description lejeczek 2014-07-23 14:11:33 UTC
Description of problem:

a have a hook that executes fine when run manually but when expected to be invoked by NetworkManager, eg. at patchcable dis/conn has no effect

also I see, when I unplug and re-plug my lan cable this:

Jul 23 15:00:00 ceb233 kernel: dell_wmi: Received unknown WMI event (0x0)



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lejeczek 2014-07-23 14:21:39 UTC
NetworkManager[860]: <warn> (48) failed to call dispatcher scripts: (dbus-glib-error-quark:9) An SELinux policy prevents this sender from sending this message to this recipient, 0 matched rules; type="method_call", sender=":1.12" (uid=0 pid=860 comm="/usr/sbin/NetworkManager --no-daemon ") interface="org.freedesktop.nm_dispatcher" member="Action" error name="(unset)" requested_reply="0" destination="org.freedesktop.nm_dispatcher" (uid=0 pid=15292 comm="/usr/libexec/nm-dispatcher ")

but fcontext of the hook file is the same as system's hook files
?

Comment 2 Jirka Klimes 2014-07-25 09:02:49 UTC
$ rpm -q NetworkManager
$ rpm -q selinux-policy

Maybe, you should relabel the SELinux system.
Does it work when you disable SELinux with
$ sudo setenforce 0

You can list recent AVCs with
sudo ausearch -m avc -ts recent

http://wiki.centos.org/HowTos/SELinux
http://www.crypt.gen.nz/selinux/faq.html

Comment 3 lejeczek 2014-07-25 10:07:33 UTC
selinux-policy-targeted-3.13.1-64.fc22.noarch
selinux-policy-3.13.1-64.fc22.noarch

is it's selinux, but as I said fcontext of the hook file is systems' default
my hook will work with selinux disabled

Comment 4 lejeczek 2014-07-28 08:02:57 UTC
when I went from f20 to rawhide something must have broke,

restorecon /usr/libexec/nm-dispatcher

fixes my problem

regards


Note You need to log in before you can comment on or make changes to this bug.